Subject: Re: bug#60758: 29.0.60; while-let uses if-let* convention in contradiction to the docstring

From: Daniel Mendler <[email-masked]>
Date: Sat, 14 Jan 2023 16:35:28 +0100

On 1/14/23 16:31, Michael Heerdegen wrote:
> The special case of a SPEC of the form (SYMBOL SOMETHING) is supported
> only for backward compatibility by `if-let'.  We wanted to get rid of
> this special syntax anomaly.
> 
> So it makes no sense to add this syntax to newly introduced macros.  We
> should fix the docstring of `while-let' instead - unless the goal of
> getting rid of this syntax has changed.  But then we should have a
> discussion first.  Instead it seems you just reverted a change by Lars
> that was the result of a discussion in emacs-dev.

But then it may make sense to deprecate `if-let` and `when-let`
altogether in favor of `if-let*` and `when-let*`? I don't think there is
anything wrong with the syntax "anomaly". I use the syntax with only a
single binding happily in many of my packages.

Daniel